
#include <util/application.h>
#include <util/string.h>
#include <media/manager.h>
#include <media/soundplayer.h>
#include <iostream>


class MyApplication : public os::Application
{
public:
	MyApplication( os::String zFileName ) : os::Application( "application/x-vnd.SyllableOS-soundplayer" )
	{
		if( os::MediaManager::Get()->IsValid() == false )
		{
			std::cout << "Open MediaManager: FAIL" << std::endl;
			PostMessage( os::M_QUIT );
		}

		os::MediaSoundPlayer *sound = new os::MediaSoundPlayer();
		if( sound == NULL )
		{
			std::cout << "Open MediaSoundPlayer: FAIL" << std::endl;
			PostMessage( os::M_QUIT );
		}

		if( sound->SetFile( zFileName ) == -1 )
		{
			std::cout << "Open File: FAIL" << std::endl;
			PostMessage( os::M_QUIT );
		}

		sound->Play();
	}
};


int main( int argc, char *argv[] )
{
	if( argc > 1 )
	{
		MyApplication *pcApp = NULL;
		pcApp = new MyApplication( argv[1] );
		pcApp->Run();
	}

	return( 0 );
}
